curl --request GET \
--url https://api.aisa.one/apis/v1/brave/images/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/images/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/images/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": {
"original": "<string>",
"altered": "<string>",
"spellcheck_off": true,
"show_strict_warning": true
},
"results": [
{
"type": "image_result",
"title": "<string>",
"url": "<string>",
"source": "<string>",
"page_fetched": "<string>",
"thumbnail": {
"src": "<string>",
"width": 123,
"height": 123
},
"properties": {
"url": "<string>",
"placeholder": "<string>",
"width": 123,
"height": 123
},
"meta_url": {
"scheme": "<string>",
"netloc": "<string>",
"hostname": "<string>",
"favicon": "<string>",
"path": "<string>"
},
"confidence": "low"
}
],
"extra": {
"might_be_offensive": false
},
"type": "images"
}Image Search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The default supported media type is application/json.
application/json, */* "application/json"
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
no-cache "no-cache"The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
Query Parameters
The number of search results returned in response. The maximum is 200. The actual number delivered may be less than requested.
NOTE: Image search is not paginated and has no offset parameter. Raise count to get more results.
1 <= x <= 200The search query country, where the results come from. The country string is limited to 2 character country codes of supported countries and ALL for worldwide.
AR, AU, AT, BE, BR, CA, CL, DK, FI, FR, DE, GR, HK, IN, ID, IT, JP, KR, MY, MX, NL, NZ, NO, CN, PL, PT, PH, RU, SA, ZA, ES, SE, CH, TW, TR, GB, US, ALL The user’s search query term. Query can not be empty. Maximum of 400 characters and 50 words in the query.
1 - 400Filters search results for adult content. The following values are supported:
- off - No content filtering (except for illegal content).
- strict - Drops all adult content from search results.
off, strict ""
The search language preference. The 2 or more character language code for which the search results are provided.
ar, eu, bn, bg, ca, zh-hans, zh-hant, hr, cs, da, nl, en, en-gb, et, fi, fr, gl, de, el, gu, he, hi, hu, is, it, ja, jp, kn, ko, lv, lt, ms, ml, mr, nb, pl, pt-br, pt-pt, pa, ro, ru, sr, sk, sl, es, sv, ta, te, th, tr, uk, vi Whether to spell check provided query. If the spell checker is enabled, the modified query is always used for search. The modified query can be found in altered key from the query response model.
""
true
false
Response
Successful Response
Image search query string.
Show child attributes
Show child attributes
The list of image results for the given query.
Show child attributes
Show child attributes
Additional information about the image search results.
Show child attributes
Show child attributes
images "images"